// Classe de definition du progemme principal qui teste l'agenda
//
public class Probleme
{
    public static void main(String args[])
    {
        // Cration d'un agenda
        //
        Agenda agenda = new Agenda();

        // Creation de plusieurs rendez-vous, de classe diffrente et tous ces rdv sont
        // ajouts dans l'agenda
        //

        RdvJournalier rdv1 = new RdvJournalier("2012-09-01",
                                               "9h30",
                                               "10h00",
                                               "Passer prendre Jean  l'aroport");
        
        RdvPeriodique rdv2 = new RdvPeriodique("2012-08-01",
                                               "2012-12-01",
                                               "HEBDO",
                                               "10h30",
                                               "12h30",
                                               "Point sur le dveloppement");
        
        RdvPeriodique rdv3 = new RdvPeriodique("2012-07-01",
                                               "2012-12-01",
                                               "MENSUEL",
                                               "10h30",
                                               "12h30",
                                               "Point sur le dveloppement");
        
        // Parceque tous ces rdv hritent de la classe abstraite RendezVous, on peut
        //  utiliser la mme mthode pour les ajouter dans l'agenda
        agenda.ajouter(rdv1);
        agenda.ajouter(rdv2);
        agenda.ajouter(rdv3);

        // Affichage de l'agenda
        agenda.afficher();
    }
}