// Classe de dfinition d'un rdv periodique
// La classe hrite de la classe abstraite RendezVous
//
public class RdvPeriodique extends RendezVous
{
    // Date du premier rendez-vous
    public String dateDebut;
    // Date de fin de la periode
    public String dateFin;
    // Type de periode : MENSUEL ou HEBDO
    public String periode;

    // Constructeur
    public RdvPeriodique(String dateDebut,
                         String dateFin,
                         String periode,
                         String heureDebut,
                         String heureFin,
                         String texte)
    {
        super(heureDebut,heureFin,texte);
        
        this.dateDebut = dateDebut;
        this.dateFin = dateFin;
        this.periode = periode;
    }

    // Affichage du rendez-vous periodique
    public void afficher()
    {
        System.out.println("Date du premier rdv    : " + dateDebut);
        System.out.println("Heure de debut         : " + heureDebut);
        System.out.println("Heure de fin           : " + heureFin);
        System.out.println("Texte                  : " + texte);
        System.out.println("Periode                : " + periode);
    }

    // Retourne la date du rdv
    //
    public String getDateRdv()
    {
        return dateDebut;
    }
}