// Classe commune de dfinition d'un rendezvous
// La classe est abstraite car la mthode afficher est abstraite
//
public abstract class RendezVous 
{
    // Les attribust communs  tous les rendez-vous.
    // Tout rdv a une heure de dbut, de fin et un texte
    protected String heureDebut;
    protected String heureFin;
    protected String texte;

    // Cosntructeur
    public RendezVous(String heureDebut,
                      String heureFin,
                      String texte)
    {
        this.heureDebut = heureDebut;
        this.heureFin = heureFin;
        this.texte = texte;
    }

    // Ce sera aux classes relles qui hritent de RendezVous, de faire
    //  l'affichage du rendez-vous.
    // C'est pour cela que les attributs de cette classe sont protected (afin
    //  que les classes relles accdent aux attributs)
    abstract public void afficher();

    // Retourne la date du rdv
    //
    abstract public String getDateRdv();

}
    