// Classe de dfinition d'un rdv journalier
// La classe hrite de la classe abstraite RendezVous
//
public class RdvJournalier extends RendezVous
{
    // Date du rdv
    public String date;

    // Constructeur
    public RdvJournalier(String date,
                         String heureDebut,
                         String heureFin,
                         String texte)
    {
        // Initialisation des attribut de la classe hrite
        super(heureDebut,heureFin,texte);
        this.date = date;
    }

    // Affichage du rdv journalier
    public void afficher()
    {
        System.out.println("Date du rdv    : " + date);
        System.out.println("Heure de debut : " + heureDebut);
        System.out.println("Heure de fin   : " + heureFin);
        System.out.println("Texte          : " + texte);
    }

    // Retourne la date du rdv
    //
    public String getDateRdv()
    {
        return date;
    }


}